[jabref] 229/459: prepare for moving jabref to main, add repackaging stuff
gregor herrmann
gregoa at debian.org
Thu Sep 15 20:40:30 UTC 2016
This is an automated email from the git hooks/post-receive script.
gregoa pushed a commit to branch master
in repository jabref.
commit 4d8b929c8720ed0b2c57ca613b8813fc6f8fce9f
Author: gregor herrmann <gregoa at debian.org>
Date: Wed Dec 30 19:49:46 2009 +0000
prepare for moving jabref to main, add repackaging stuff
---
debian/changelog | 8 +++++-
debian/control | 2 +-
debian/copyright | 7 +++--
debian/repack.local | 3 ++
debian/repack.stub | 82 +++++++++++++++++++++++++++++++++++++++++++++++++++++
debian/rules | 4 +++
debian/watch | 5 ++--
7 files changed, 104 insertions(+), 7 deletions(-)
diff --git a/debian/changelog b/debian/changelog
index af9c840..ddfde24 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,13 @@
-jabref (2.6~beta2-2) unstable; urgency=low
+jabref (2.6~beta2-2) UNRELEASED; urgency=low
+ [ tony mancill ]
* (Trivial) conversion to source 3.0 format.
+ [ gregor herrmann ]
+ * Move from contrib to main since all build and runtime dependencies are in
+ main now (closes: #548180). Repack upstream tarball to remove the
+ sourceless pre-compiled libraries.
+
-- tony mancill <tmancill at debian.org> Sat, 26 Dec 2009 09:16:25 -0800
jabref (2.6~beta2-1) unstable; urgency=low
diff --git a/debian/control b/debian/control
index e0acdd4..9b1f0f3 100644
--- a/debian/control
+++ b/debian/control
@@ -1,5 +1,5 @@
Source: jabref
-Section: contrib/tex
+Section: tex
Priority: optional
Maintainer: gregor herrmann <gregoa at debian.org>
Uploaders: tony mancill <tmancill at debian.org>
diff --git a/debian/copyright b/debian/copyright
index 19839ce..237babb 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,7 +1,8 @@
-This package was debianized by gregor herrmann <gregor+debian at comodo.priv.at> on
-Thu, 1 Sep 2005 23:18:00 +0200.
+Source: http://jabref.sourceforge.net/
+Name: JabRef
-It was downloaded from http://jabref.sourceforge.net/
+The +ds version is created by removing the lib/ directory from the upstream
+tarball which contains sourceless pre-compiled libraries.
Copyright:
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..96bcb08
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,3 @@
+SUFFIX=+ds
+requires_version 2
+rm lib
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100755
index 0000000..ac56520
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sources under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+ if [ -f ../../scripts/repack.sh ]; then
+ REPACK_SH=../../scripts/repack.sh
+ fi
+ if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+ REPACK_SH=$(which repack.sh)
+ fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+ echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+ echo "You can get it from http://svn.debian.org/viewsvn/pkg-perl/scripts/repack.sh"
+ exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/rules b/debian/rules
index 213300b..1cad809 100755
--- a/debian/rules
+++ b/debian/rules
@@ -15,3 +15,7 @@ override_dh_auto_install:
override_dh_installchangelogs:
dh_installchangelogs src/txt/CHANGELOG
+
+get-orig-source:
+ # we use the "--repack" here until svn-upgrade can handle .tar.bz2
+ uscan --verbose --force --rename --repack
diff --git a/debian/watch b/debian/watch
index 49f2706..683e605 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,4 @@
version=3
-opts="uversionmangle=s/(\D)$/${1}1/;s/b(?:eta)?(\d)?$/~beta${1}/" \
-http://sf.net/jabref/JabRef-(.+)-src\.tar\.bz2
+opts="dversionmangle=s/\+ds$//;,uversionmangle=s/(\D)$/${1}1/;s/b(?:eta)?(\d)?$/~beta${1}/" \
+ http://sf.net/jabref/JabRef-(.+)-src\.tar\.bz2 \
+ debian sh debian/repack.stub
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/jabref.git
More information about the pkg-java-commits
mailing list